/***************************************************************************
 *   Copyright (C) 2004 by Christoph Thielecke                             *
 *   crissi99@gmx.de                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "profilesmartcardoptions.h"

#include <tqcheckbox.h>
#include <tqspinbox.h>
#include <klineedit.h>
#include <kurlrequester.h>
#include <tqlabel.h>
#include <tdelocale.h>
#include <kcombobox.h>
#include "widgetnotifyhelper.h"
#include <iostream>

ProfileSmartcardOptions::ProfileSmartcardOptions(TQWidget *parent)
		: ProfileSmartcardOptionsBase(parent)
{
	WidgetNotifyHelper h;
	h.setupChangedAction(this);
	dialogModified=false;
}


ProfileSmartcardOptions::~ProfileSmartcardOptions()
{}

void ProfileSmartcardOptions::usePkcs11ProvidersToggled(bool)
{
	if (UsePkcs11ProvidersCheckBox->isChecked())
		Pkcs11ProvidersURLRequester->setEnabled(true);
	else
		Pkcs11ProvidersURLRequester->setEnabled(false);
}

void ProfileSmartcardOptions::useSmartcardToggled(bool)
{
	if(UseSmartcardCheckBox->isChecked())
		SmartcardGroupBox->setEnabled(true);
	else
		SmartcardGroupBox->setEnabled(false);
}

void ProfileSmartcardOptions::idTypeToggled()
{
// 	if (Pkcs11IdTypeComboBox->currentItem() == 0)
// 		IdLabel->setText(i18n("ID"));
// 	else if (Pkcs11IdTypeComboBox->currentItem() == 1)
// 		IdLabel->setText(i18n("Label"));
// 	else
// 		IdLabel->setText(i18n("Description"));
}

void ProfileSmartcardOptions::dialogChanged()
{
// 	std::cout << "ProfileSmartcardOptions::dialogChanged()" << std::endl;
	dialogModified=true;
}

#include "profilesmartcardoptions.moc"





